Bug 731805 - [ipa webui] in-consistency error msg
Summary: [ipa webui] in-consistency error msg
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ipa
Version: 6.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Rob Crittenden
QA Contact: Chandrasekar Kannan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-18 18:28 UTC by Yi Zhang
Modified: 2015-01-04 23:50 UTC (History)
5 users (show)

Fixed In Version: ipa-2.1.2-1.el6
Doc Type: Bug Fix
Doc Text:
Cause: Different error types can cause different error messages in the Web UI. Consequence: The error and attribute name within the error may not match depending on the input, causing confusion. Fix: The Web UI has been enhanced to perform some input validation before submitting to the server. Result: More consistent error messages.
Clone Of:
Environment:
Last Closed: 2011-12-06 18:30:05 UTC


Attachments (Terms of Use)
krbmaxpwdlife used for "max life" (113.56 KB, image/png)
2011-08-18 18:28 UTC, Yi Zhang
no flags Details
"max life" label used for same field (112.11 KB, image/png)
2011-08-18 18:29 UTC, Yi Zhang
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1533 normal SHIPPED_LIVE Moderate: ipa security and bug fix update 2011-12-06 01:23:31 UTC

Description Yi Zhang 2011-08-18 18:28:48 UTC
Created attachment 518916 [details]
krbmaxpwdlife used for "max life"

Description of problem:
The error msg is not consistent for similar type of error. Please check screen shot for details. 

In short: This error appears under "Policy"->"Password Policy"
When user edits "Max lifetime (days):", 
(1) if user enter non-integer such as "abc" and click "Update", the error dialog says "invalid 'krbmaxpwdlife': must be an integer"
(2) if user enter "-1" , and click "Update", the error dialog says "invalid 'maxlife': must be at least 0"

We should not use different label (krbmaxpwdlife and maxlife) refer to same text field. 

The same type of error found for all fields under "Password policy"
In addition to "Password policy", Kerberos ticket policy has same type of error
Label "maxrenew" and "krbmaxrenewableage" used for same field "Max renew"

There might be more such type of error in other areas. 

Version-Release number of selected component (if applicable):
[i386.a yi@dhcp-118 ~/Desktop] rpm -qa | grep ipa-server
ipa-server-2.0.99-8.20110804T1127zgiteb0454d.el6.i686
ipa-server-selinux-2.0.99-8.20110804T1127zgiteb0454d.el6.i686


How reproducible:
always

Steps to Reproduce:
1. go to ipa web ui
2. go to "Policy" -> Password Policies (tab) click on "global policy"
3. make change to any field , use example data listed above. 
  

Additional info: please check screen-shot

Comment 1 Yi Zhang 2011-08-18 18:29:35 UTC
Created attachment 518917 [details]
"max life" label used for same field

Comment 3 Jenny Severance 2011-08-18 19:07:13 UTC
I think this is a duplicate bug of ...

https://bugzilla.redhat.com/show_bug.cgi?id=718015

Comment 4 Yi Zhang 2011-08-18 19:33:10 UTC
this is a WebUI bug report. 
bug 718015 is command line bug report.

Comment 5 Dmitri Pal 2011-08-18 22:00:11 UTC
Upstream ticket:
https://fedorahosted.org/freeipa/ticket/1676

Comment 6 Rob Crittenden 2011-08-19 12:49:58 UTC
(In reply to comment #4)
> this is a WebUI bug report. 
> bug 718015 is command line bug report.

The WebUI gets its errors from the same place as the command-line.

Comment 7 Jenny Severance 2011-08-22 13:15:08 UTC
(In reply to comment #6)
> (In reply to comment #4)
> > this is a WebUI bug report. 
> > bug 718015 is command line bug report.
> 
> The WebUI gets its errors from the same place as the command-line.

Hence, a duplicate of bug 718015 ...

Comment 8 Martin Kosek 2011-08-31 06:48:28 UTC
Marking as fixed upstream:
master: 950a5da34d3b89ae23cf8834d501233bda831f9e
ipa-2-1: a6cf44bd6538788a20fd6021b802443d4b0c63d9

I will leave it up to Rob if he wants to close this as duplicate.

Comment 11 Namita Soman 2011-11-01 14:05:30 UTC
Verified using ipa-server-2.1.3-6.el6.x86_64

If "abc" is entered, a red error is indicated below that says - Must be an integer
If update is hit in spite of this error - get message - Validation error - Input form contains invalid or missing values.


With -1, the error in red says - Minimum value is 1, and hitting Update throws same error as above.

And same behaviour for Password policy and Kerberos Ticket policy. No specific reference to the field...so no inconsistency in error message in UI

Comment 12 Rob Crittenden 2011-11-01 14:11:02 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause: Different error types can cause different error messages in the Web UI.
Consequence: The error and attribute name within the error may not match depending on the input, causing confusion.
Fix: The Web UI has been enhanced to perform some input validation before submitting to the server.
Result: More consistent error messages.

Comment 13 errata-xmlrpc 2011-12-06 18:30:05 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2011-1533.html


Note You need to log in before you can comment on or make changes to this bug.